# keyclic_sdk_api
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Dart package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 2.37.1
- Build package: org.openapitools.codegen.languages.DartClientCodegen
For more information, please visit [https://keyclic.com](https://keyclic.com)

## Requirements

Dart 2.0 or later

## Installation & Usage

### Github
If this Dart package is published to Github, add the following dependency to your pubspec.yaml
```
dependencies:
  keyclic_sdk_api:
    git: https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```

### Local
To use the package in your local drive, add the following dependency to your pubspec.yaml
```
dependencies:
  keyclic_sdk_api:
    path: /path/to/keyclic_sdk_api
```

## Tests

TODO

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:keyclic_sdk_api/api.dart';


final api_instance = ApplicationApi();
final xKeyclicApp = xKeyclicApp_example; // String | 
final application = 38400000-8cf0-11bd-b23e-10b96e4ef00d; // String | The identifier of the resource.
final acceptLanguage = acceptLanguage_example; // String | 
final xDateTime = 2013-10-20T19:20:30+01:00; // DateTime | 
final xKeyclicAppPlatform = xKeyclicAppPlatform_example; // String | 
final xKeyclicAppVersion = xKeyclicAppVersion_example; // String | 

try {
    final result = api_instance.getApplication(xKeyclicApp, application, acceptLanguage, xDateTime, xKeyclicAppPlatform, xKeyclicAppVersion);
    print(result);
} catch (e) {
    print('Exception when calling ApplicationApi->getApplication: $e\n');
}

```

## Documentation for API Endpoints

All URIs are relative to *https://api.keyclic.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ApplicationApi* | [**getApplication**](doc//ApplicationApi.md#getapplication) | **GET** /applications/{application} | Retrieve one Application resource.
*ArticleApi* | [**getArticle**](doc//ArticleApi.md#getarticle) | **GET** /articles/{article} | Retrieve one Article resource.
*AssignmentApi* | [**getAssignment**](doc//AssignmentApi.md#getassignment) | **GET** /assignments/{assignment} | Retrieve one Assignment resource.
*AssignmentApi* | [**postAssignment**](doc//AssignmentApi.md#postassignment) | **POST** /assignments | Create one Assignment resource.
*BookmarkApi* | [**cgetBookmarks**](doc//BookmarkApi.md#cgetbookmarks) | **GET** /bookmarks | Retrieve all Bookmark resources.
*BookmarkApi* | [**deleteBookmark**](doc//BookmarkApi.md#deletebookmark) | **DELETE** /bookmarks/{bookmark} | Remove one Bookmark resource.
*BookmarkApi* | [**getBookmark**](doc//BookmarkApi.md#getbookmark) | **GET** /bookmarks/{bookmark} | Retrieve one Bookmark resource.
*BookmarkApi* | [**postBookmark**](doc//BookmarkApi.md#postbookmark) | **POST** /bookmarks | Create one Bookmark resource.
*BusinessActivityApi* | [**cgetBusinessActivities**](doc//BusinessActivityApi.md#cgetbusinessactivities) | **GET** /business-activities | Retrieve all BusinessActivity resources.
*BusinessActivityApi* | [**getBusinessActivity**](doc//BusinessActivityApi.md#getbusinessactivity) | **GET** /business-activities/{businessActivity} | Retrieve one BusinessActivity resource.
*BusinessActivityApi* | [**getSchemaByBusinessActivity**](doc//BusinessActivityApi.md#getschemabybusinessactivity) | **GET** /businessactivities/{businessActivity}/schema | Retrieve one Schema resource.
*CategoryApi* | [**cgetCategories**](doc//CategoryApi.md#cgetcategories) | **GET** /categories | Retrieve all Category resources.
*CategoryApi* | [**deleteCategory**](doc//CategoryApi.md#deletecategory) | **DELETE** /categories/{category} | Remove one Category resource.
*CategoryApi* | [**getCategory**](doc//CategoryApi.md#getcategory) | **GET** /categories/{category} | Retrieve one Category resource.
*CategoryApi* | [**patchCategory**](doc//CategoryApi.md#patchcategory) | **PATCH** /categories/{category} | Edit one Category resource.
*CategoryApi* | [**postCategory**](doc//CategoryApi.md#postcategory) | **POST** /categories | Create one Category resource.
*ConfigurationApi* | [**getConfiguration**](doc//ConfigurationApi.md#getconfiguration) | **GET** /configurations/{configuration} | Retrieve one Configuration resource.
*ConnectorApi* | [**postConnectorByConnectorAndWorkflow**](doc//ConnectorApi.md#postconnectorbyconnectorandworkflow) | **POST** /connectors/{connector}/workflows/{workflow}/runs | Create one Connector resource.
*ContributionApi* | [**cgetContributions**](doc//ContributionApi.md#cgetcontributions) | **GET** /contributions | Retrieve all Contribution resources.
*ContributionApi* | [**getContribution**](doc//ContributionApi.md#getcontribution) | **GET** /contributions/{contribution} | Retrieve one Contribution resource.
*ContributionApi* | [**postContribution**](doc//ContributionApi.md#postcontribution) | **POST** /contributions | Create one Contribution resource.
*DeviceApi* | [**deleteDevice**](doc//DeviceApi.md#deletedevice) | **DELETE** /devices/{device} | Remove one Device resource.
*DeviceApi* | [**getDevice**](doc//DeviceApi.md#getdevice) | **GET** /devices/{device} | Retrieve one Device resource.
*DeviceApi* | [**postDevice**](doc//DeviceApi.md#postdevice) | **POST** /devices | Create one Device resource.
*DigitalDocumentApi* | [**cgetFeedbackByDigitalDocument**](doc//DigitalDocumentApi.md#cgetfeedbackbydigitaldocument) | **GET** /digital-documents/{digitalDocument}/feedbacks | Retrieve all Feedback resources.
*DigitalDocumentApi* | [**deleteDigitalDocument**](doc//DigitalDocumentApi.md#deletedigitaldocument) | **DELETE** /digital-documents/{digitalDocument} | Remove one DigitalDocument resource.
*DigitalDocumentApi* | [**getDigitalDocument**](doc//DigitalDocumentApi.md#getdigitaldocument) | **GET** /digital-documents/{digitalDocument} | Retrieve one DigitalDocument resource.
*DigitalDocumentApi* | [**patchDigitalDocument**](doc//DigitalDocumentApi.md#patchdigitaldocument) | **PATCH** /digital-documents/{digitalDocument} | Edit one DigitalDocument resource.
*DigitalDocumentApi* | [**postDigitalDocument**](doc//DigitalDocumentApi.md#postdigitaldocument) | **POST** /digital-documents | Create one DigitalDocument resource.
*DispatcherApi* | [**cgetRulesByDispatcher**](doc//DispatcherApi.md#cgetrulesbydispatcher) | **GET** /dispatchers/{dispatcher}/rules | Retrieve all Rule resources.
*DispatcherApi* | [**getDispatcher**](doc//DispatcherApi.md#getdispatcher) | **GET** /dispatchers/{dispatcher} | Retrieve one Dispatcher resource.
*DocumentApi* | [**deleteDocument**](doc//DocumentApi.md#deletedocument) | **DELETE** /documents/{document} | Remove one Document resource.
*DocumentApi* | [**getDocument**](doc//DocumentApi.md#getdocument) | **GET** /documents/{document} | Retrieve one Document resource.
*DocumentApi* | [**patchDocument**](doc//DocumentApi.md#patchdocument) | **PATCH** /documents/{document} | Edit one Document resource.
*DocumentApi* | [**postWorkflowByDocument**](doc//DocumentApi.md#postworkflowbydocument) | **POST** /documents/{document}/workflow | Create one Workflow resource.
*ExportApi* | [**getExport**](doc//ExportApi.md#getexport) | **GET** /exports/{export} | Retrieve one Export resource.
*ExportApi* | [**postExport**](doc//ExportApi.md#postexport) | **POST** /exports | Create one Export resource.
*ExternalServiceApi* | [**deleteExternalService**](doc//ExternalServiceApi.md#deleteexternalservice) | **DELETE** /external-services/{externalService} | Remove one ExternalService resource.
*ExternalServiceApi* | [**getExternalService**](doc//ExternalServiceApi.md#getexternalservice) | **GET** /external-services/{externalService} | Retrieve one ExternalService resource.
*ExternalServiceApi* | [**patchExternalService**](doc//ExternalServiceApi.md#patchexternalservice) | **PATCH** /external-services/{externalService} | Edit one ExternalService resource.
*ExternalServiceApi* | [**postExternalService**](doc//ExternalServiceApi.md#postexternalservice) | **POST** /external-services | Create one ExternalService resource.
*FeedApi* | [**cgetActivitiesByFeed**](doc//FeedApi.md#cgetactivitiesbyfeed) | **GET** /feeds/{feed} | Retrieve all Activity resources.
*FeedApi* | [**postReadByFeedAndGroup**](doc//FeedApi.md#postreadbyfeedandgroup) | **POST** /feeds/{feed}/read/{group} | Create one Read resource.
*FeedbackApi* | [**cgetCommentsByFeedback**](doc//FeedbackApi.md#cgetcommentsbyfeedback) | **GET** /feedbacks/{feedback}/comments | Retrieve all Comment resources.
*FeedbackApi* | [**cgetFeedback**](doc//FeedbackApi.md#cgetfeedback) | **GET** /feedbacks | Retrieve all Feedback resources.
*FeedbackApi* | [**deleteFeedback**](doc//FeedbackApi.md#deletefeedback) | **DELETE** /feedbacks/{feedback} | Remove one Feedback resource.
*FeedbackApi* | [**getFeedback**](doc//FeedbackApi.md#getfeedback) | **GET** /feedbacks/{feedback} | Retrieve one Feedback resource.
*FeedbackApi* | [**getTrackingByFeedback**](doc//FeedbackApi.md#gettrackingbyfeedback) | **GET** /feedbacks/{feedback}/tracking | Retrieve one Tracking resource.
*FeedbackApi* | [**postCommentByFeedback**](doc//FeedbackApi.md#postcommentbyfeedback) | **POST** /feedbacks/{feedback}/comments | Create one Comment resource.
*FeedbackApi* | [**postImageByFeedback**](doc//FeedbackApi.md#postimagebyfeedback) | **POST** /feedbacks/{feedback}/images | Create one Image resource.
*FeedbackApi* | [**postIssue**](doc//FeedbackApi.md#postissue) | **POST** /feedbacks/issues | Create one Issue resource.
*FeedbackApi* | [**postWorkflowByFeedback**](doc//FeedbackApi.md#postworkflowbyfeedback) | **POST** /feedbacks/{feedback}/workflow | Create one Workflow resource.
*InternalServiceApi* | [**cgetMembersByInternalService**](doc//InternalServiceApi.md#cgetmembersbyinternalservice) | **GET** /internal-services/{internalService}/members | Retrieve all Member resources.
*InternalServiceApi* | [**deleteInternalService**](doc//InternalServiceApi.md#deleteinternalservice) | **DELETE** /internal-services/{internalService} | Remove one InternalService resource.
*InternalServiceApi* | [**deleteMemberByInternalServiceAndMember**](doc//InternalServiceApi.md#deletememberbyinternalserviceandmember) | **DELETE** /internal-services/{internalService}/members/{member} | Remove one Member resource.
*InternalServiceApi* | [**getInternalService**](doc//InternalServiceApi.md#getinternalservice) | **GET** /internal-services/{internalService} | Retrieve one InternalService resource.
*InternalServiceApi* | [**patchInternalService**](doc//InternalServiceApi.md#patchinternalservice) | **PATCH** /internal-services/{internalService} | Edit one InternalService resource.
*InternalServiceApi* | [**postInternalService**](doc//InternalServiceApi.md#postinternalservice) | **POST** /internal-services | Create one InternalService resource.
*InternalServiceApi* | [**postMemberByInternalService**](doc//InternalServiceApi.md#postmemberbyinternalservice) | **POST** /internal-services/{internalService}/members | Create one Member resource.
*InvitationApi* | [**deleteInvitation**](doc//InvitationApi.md#deleteinvitation) | **DELETE** /invitations/{invitation} | Remove one Invitation resource.
*InvitationApi* | [**getInvitation**](doc//InvitationApi.md#getinvitation) | **GET** /invitations/{invitation} | Retrieve one Invitation resource.
*InvitationApi* | [**postInvitation**](doc//InvitationApi.md#postinvitation) | **POST** /invitations | Create one Invitation resource.
*KnowledgeBaseApi* | [**cgetArticlesByKnowledgeBase**](doc//KnowledgeBaseApi.md#cgetarticlesbyknowledgebase) | **GET** /knowledge-bases/{knowledgeBase}/articles | Retrieve all Article resources.
*KnowledgeBaseApi* | [**cgetSectionsByKnowledgeBase**](doc//KnowledgeBaseApi.md#cgetsectionsbyknowledgebase) | **GET** /knowledge-bases/{knowledgeBase}/sections | Retrieve all Section resources.
*KnowledgeBaseApi* | [**getKnowledgeBase**](doc//KnowledgeBaseApi.md#getknowledgebase) | **GET** /knowledge-bases/{knowledgeBase} | Retrieve one KnowledgeBase resource.
*MarkerApi* | [**deleteMarker**](doc//MarkerApi.md#deletemarker) | **DELETE** /markers/{marker} | Remove one Marker resource.
*MarkerApi* | [**getMarker**](doc//MarkerApi.md#getmarker) | **GET** /markers/{marker} | Retrieve one Marker resource.
*MarkerApi* | [**postMarker**](doc//MarkerApi.md#postmarker) | **POST** /markers | Create one Marker resource.
*MemberApi* | [**deleteMember**](doc//MemberApi.md#deletemember) | **DELETE** /members/{member} | Remove one Member resource.
*MemberApi* | [**getMember**](doc//MemberApi.md#getmember) | **GET** /members/{member} | Retrieve one Member resource.
*MemberApi* | [**patchMember**](doc//MemberApi.md#patchmember) | **PATCH** /members/{member} | Edit one Member resource.
*MemberApi* | [**postMember**](doc//MemberApi.md#postmember) | **POST** /members | Create one Member resource.
*NoteApi* | [**deleteNote**](doc//NoteApi.md#deletenote) | **DELETE** /notes/{note} | Remove one Note resource.
*NoteApi* | [**getNote**](doc//NoteApi.md#getnote) | **GET** /notes/{note} | Retrieve one Note resource.
*NoteApi* | [**patchNote**](doc//NoteApi.md#patchnote) | **PATCH** /notes/{note} | Edit one Note resource.
*NoteApi* | [**postNote**](doc//NoteApi.md#postnote) | **POST** /notes | Create one Note resource.
*OccupantApi* | [**deleteOccupant**](doc//OccupantApi.md#deleteoccupant) | **DELETE** /occupants/{occupant} | Remove one Occupant resource.
*OccupantApi* | [**getOccupant**](doc//OccupantApi.md#getoccupant) | **GET** /occupants/{occupant} | Retrieve one Occupant resource.
*OccupantApi* | [**postOccupant**](doc//OccupantApi.md#postoccupant) | **POST** /occupants | Create one Occupant resource.
*OperationApi* | [**cgetAssignmentsByOperation**](doc//OperationApi.md#cgetassignmentsbyoperation) | **GET** /operations/{operation}/assignments | Retrieve all Assignment resources.
*OperationApi* | [**cgetCommentsByOperation**](doc//OperationApi.md#cgetcommentsbyoperation) | **GET** /operations/{operation}/comments | Retrieve all Comment resources.
*OperationApi* | [**cgetDocumentsByOperation**](doc//OperationApi.md#cgetdocumentsbyoperation) | **GET** /operations/{operation}/documents | Retrieve all Document resources.
*OperationApi* | [**deleteImageByOperationAndImage**](doc//OperationApi.md#deleteimagebyoperationandimage) | **DELETE** /operations/{operation}/images/{image} | Remove one Image resource.
*OperationApi* | [**deleteOperation**](doc//OperationApi.md#deleteoperation) | **DELETE** /operations/{operation} | Remove one Operation resource.
*OperationApi* | [**getOperation**](doc//OperationApi.md#getoperation) | **GET** /operations/{operation} | Retrieve one Operation resource.
*OperationApi* | [**getTrackingByOperation**](doc//OperationApi.md#gettrackingbyoperation) | **GET** /operations/{operation}/tracking | Retrieve one Tracking resource.
*OperationApi* | [**patchOperation**](doc//OperationApi.md#patchoperation) | **PATCH** /operations/{operation} | Edit one Operation resource.
*OperationApi* | [**postAssignByOperation**](doc//OperationApi.md#postassignbyoperation) | **POST** /operations/{operation}/assign | Create one Assign resource.
*OperationApi* | [**postCommentByOperation**](doc//OperationApi.md#postcommentbyoperation) | **POST** /operations/{operation}/comments | Create one Comment resource.
*OperationApi* | [**postDocumentByOperation**](doc//OperationApi.md#postdocumentbyoperation) | **POST** /operations/{operation}/documents | Create one Document resource.
*OperationApi* | [**postImageByOperation**](doc//OperationApi.md#postimagebyoperation) | **POST** /operations/{operation}/images | Create one Image resource.
*OperationApi* | [**postOperation**](doc//OperationApi.md#postoperation) | **POST** /operations | Create one Operation resource.
*OperationApi* | [**postSignByOperation**](doc//OperationApi.md#postsignbyoperation) | **POST** /operations/{operation}/sign | Create one Sign resource.
*OperationApi* | [**postWorkflowByOperation**](doc//OperationApi.md#postworkflowbyoperation) | **POST** /operations/{operation}/workflow | Create one Workflow resource.
*OrganizationApi* | [**cgetCategoriesByOrganization**](doc//OrganizationApi.md#cgetcategoriesbyorganization) | **GET** /organizations/{organization}/categories | Retrieve all Category resources.
*OrganizationApi* | [**cgetDocumentsByOrganization**](doc//OrganizationApi.md#cgetdocumentsbyorganization) | **GET** /organizations/{organization}/documents | Retrieve all Document resources.
*OrganizationApi* | [**cgetExternalServicesByOrganization**](doc//OrganizationApi.md#cgetexternalservicesbyorganization) | **GET** /organizations/{organization}/external-services | Retrieve all ExternalService resources.
*OrganizationApi* | [**cgetInternalServicesByOrganization**](doc//OrganizationApi.md#cgetinternalservicesbyorganization) | **GET** /organizations/{organization}/internal-services | Retrieve all InternalService resources.
*OrganizationApi* | [**cgetMembersByOrganization**](doc//OrganizationApi.md#cgetmembersbyorganization) | **GET** /organizations/{organization}/members | Retrieve all Member resources.
*OrganizationApi* | [**cgetOccupantsByOrganization**](doc//OrganizationApi.md#cgetoccupantsbyorganization) | **GET** /organizations/{organization}/occupants | Retrieve all Occupant resources.
*OrganizationApi* | [**cgetOperationsByOrganization**](doc//OrganizationApi.md#cgetoperationsbyorganization) | **GET** /organizations/{organization}/operations | Retrieve all Operation resources.
*OrganizationApi* | [**cgetOrganizations**](doc//OrganizationApi.md#cgetorganizations) | **GET** /organizations | Retrieve all Organization resources.
*OrganizationApi* | [**cgetPlacesByOrganization**](doc//OrganizationApi.md#cgetplacesbyorganization) | **GET** /organizations/{organization}/places | Retrieve all Place resources.
*OrganizationApi* | [**cgetPublicationsByOrganization**](doc//OrganizationApi.md#cgetpublicationsbyorganization) | **GET** /organizations/{organization}/publications | Retrieve all Publication resources.
*OrganizationApi* | [**cgetReportsByOrganization**](doc//OrganizationApi.md#cgetreportsbyorganization) | **GET** /organizations/{organization}/reports | Retrieve all Report resources.
*OrganizationApi* | [**cgetReviewRequestsByOrganization**](doc//OrganizationApi.md#cgetreviewrequestsbyorganization) | **GET** /organizations/{organization}/review-requests | Retrieve all ReviewRequest resources.
*OrganizationApi* | [**cgetReviewsByOrganization**](doc//OrganizationApi.md#cgetreviewsbyorganization) | **GET** /organizations/{organization}/reviews | Retrieve all Review resources.
*OrganizationApi* | [**cgetServicesByOrganization**](doc//OrganizationApi.md#cgetservicesbyorganization) | **GET** /organizations/{organization}/services | Retrieve all Service resources.
*OrganizationApi* | [**cgetTemplatesByOrganization**](doc//OrganizationApi.md#cgettemplatesbyorganization) | **GET** /organizations/{organization}/templates | Retrieve all Template resources.
*OrganizationApi* | [**getAnalyticByOrganization**](doc//OrganizationApi.md#getanalyticbyorganization) | **GET** /organizations/{organization}/analytics | Retrieve one Analytic resource.
*OrganizationApi* | [**getConfigurationByOrganization**](doc//OrganizationApi.md#getconfigurationbyorganization) | **GET** /organizations/{organization}/configuration | Retrieve one Configuration resource.
*OrganizationApi* | [**getFormByOrganization**](doc//OrganizationApi.md#getformbyorganization) | **GET** /organizations/{organization}/form | Retrieve one Form resource.
*OrganizationApi* | [**getOrganization**](doc//OrganizationApi.md#getorganization) | **GET** /organizations/{organization} | Retrieve one Organization resource.
*OrganizationApi* | [**patchOrganization**](doc//OrganizationApi.md#patchorganization) | **PATCH** /organizations/{organization} | Edit one Organization resource.
*PdfApi* | [**cpostImage**](doc//PdfApi.md#cpostimage) | **POST** /pdf/images | Retrieve all Image resources.
*PersonApi* | [**cgetDocumentsByPerson**](doc//PersonApi.md#cgetdocumentsbyperson) | **GET** /people/{person}/documents | Retrieve all Document resources.
*PersonApi* | [**cgetMembershipsByPerson**](doc//PersonApi.md#cgetmembershipsbyperson) | **GET** /people/{person}/memberships | Retrieve all Membership resources.
*PersonApi* | [**cgetOperationsByPerson**](doc//PersonApi.md#cgetoperationsbyperson) | **GET** /people/{person}/operations | Retrieve all Operation resources.
*PersonApi* | [**cgetReviewRequestsByPerson**](doc//PersonApi.md#cgetreviewrequestsbyperson) | **GET** /people/{person}/review-requests | Retrieve all ReviewRequest resources.
*PersonApi* | [**deletePerson**](doc//PersonApi.md#deleteperson) | **DELETE** /people/{person} | Remove one Person resource.
*PersonApi* | [**getFeedByPerson**](doc//PersonApi.md#getfeedbyperson) | **GET** /people/{person}/feed | Retrieve one Feed resource.
*PersonApi* | [**getPerson**](doc//PersonApi.md#getperson) | **GET** /people/{person} | Retrieve one Person resource.
*PersonApi* | [**patchPerson**](doc//PersonApi.md#patchperson) | **PATCH** /people/{person} | Edit one Person resource.
*PlaceApi* | [**cgetDocumentsByPlace**](doc//PlaceApi.md#cgetdocumentsbyplace) | **GET** /places/{place}/documents | Retrieve all Document resources.
*PlaceApi* | [**cgetPlaces**](doc//PlaceApi.md#cgetplaces) | **GET** /places | Retrieve all Place resources.
*PlaceApi* | [**cgetPlansByPlace**](doc//PlaceApi.md#cgetplansbyplace) | **GET** /places/{place}/plans | Retrieve all Plan resources.
*PlaceApi* | [**getGeoByPlace**](doc//PlaceApi.md#getgeobyplace) | **GET** /places/{place}/geo | Retrieve one Geo resource.
*PlaceApi* | [**getPlace**](doc//PlaceApi.md#getplace) | **GET** /places/{place} | Retrieve one Place resource.
*PlaceApi* | [**patchPlace**](doc//PlaceApi.md#patchplace) | **PATCH** /places/{place} | Edit one Place resource.
*PlaceApi* | [**postDocumentByPlace**](doc//PlaceApi.md#postdocumentbyplace) | **POST** /places/{place}/documents | Create one Document resource.
*PlaceApi* | [**postPlace**](doc//PlaceApi.md#postplace) | **POST** /places | Create one Place resource.
*PlaceApi* | [**postWorkflowByPlace**](doc//PlaceApi.md#postworkflowbyplace) | **POST** /places/{place}/workflow | Create one Workflow resource.
*PlanApi* | [**deletePlan**](doc//PlanApi.md#deleteplan) | **DELETE** /plans/{plan} | Remove one Plan resource.
*PlanApi* | [**getPlan**](doc//PlanApi.md#getplan) | **GET** /plans/{plan} | Retrieve one Plan resource.
*PlanApi* | [**patchPlan**](doc//PlanApi.md#patchplan) | **PATCH** /plans/{plan} | Edit one Plan resource.
*PlanApi* | [**postPlan**](doc//PlanApi.md#postplan) | **POST** /plans | Create one Plan resource.
*ProcedureApi* | [**cgetSignersByProcedure**](doc//ProcedureApi.md#cgetsignersbyprocedure) | **GET** /procedures/{procedure}/signers | Retrieve all Signer resources.
*ProcedureApi* | [**getProcedure**](doc//ProcedureApi.md#getprocedure) | **GET** /procedures/{procedure} | Retrieve one Procedure resource.
*ProcedureApi* | [**postProcedure**](doc//ProcedureApi.md#postprocedure) | **POST** /procedures | Create one Procedure resource.
*ProcedureApi* | [**postWorkflowByProcedure**](doc//ProcedureApi.md#postworkflowbyprocedure) | **POST** /procedures/{procedure}/workflow | Create one Workflow resource.
*PublicationApi* | [**deletePublication**](doc//PublicationApi.md#deletepublication) | **DELETE** /publications/{publication} | Remove one Publication resource.
*PublicationApi* | [**getPublication**](doc//PublicationApi.md#getpublication) | **GET** /publications/{publication} | Retrieve one Publication resource.
*PublicationApi* | [**postPublication**](doc//PublicationApi.md#postpublication) | **POST** /publications | Create one Publication resource.
*ReportApi* | [**cgetAssignmentsByReport**](doc//ReportApi.md#cgetassignmentsbyreport) | **GET** /reports/{report}/assignments | Retrieve all Assignment resources.
*ReportApi* | [**cgetDocumentsByReport**](doc//ReportApi.md#cgetdocumentsbyreport) | **GET** /reports/{report}/documents | Retrieve all Document resources.
*ReportApi* | [**cgetNotesByTask**](doc//ReportApi.md#cgetnotesbytask) | **GET** /tasks/{task}/notes | Retrieve all Note resources.
*ReportApi* | [**cgetOperationsByReport**](doc//ReportApi.md#cgetoperationsbyreport) | **GET** /reports/{report}/operations | Retrieve all Operation resources.
*ReportApi* | [**getReport**](doc//ReportApi.md#getreport) | **GET** /reports/{report} | Retrieve one Report resource.
*ReportApi* | [**getTrackingByReport**](doc//ReportApi.md#gettrackingbyreport) | **GET** /reports/{report}/tracking | Retrieve one Tracking resource.
*ReportApi* | [**patchReport**](doc//ReportApi.md#patchreport) | **PATCH** /reports/{report} | Edit one Report resource.
*ReportApi* | [**postDocumentByReport**](doc//ReportApi.md#postdocumentbyreport) | **POST** /reports/{report}/documents | Create one Document resource.
*ReportApi* | [**postWorkflowByReport**](doc//ReportApi.md#postworkflowbyreport) | **POST** /reports/{report}/workflow | Create one Workflow resource.
*ReviewApi* | [**getReview**](doc//ReviewApi.md#getreview) | **GET** /reviews/{review} | Retrieve one Review resource.
*ReviewApi* | [**postReview**](doc//ReviewApi.md#postreview) | **POST** /reviews | Create one Review resource.
*ReviewRequestApi* | [**getReviewRequest**](doc//ReviewRequestApi.md#getreviewrequest) | **GET** /review-requests/{reviewRequest} | Retrieve one ReviewRequest resource.
*RoleApi* | [**getRole**](doc//RoleApi.md#getrole) | **GET** /roles/{role} | Retrieve one Role resource.
*RuleApi* | [**deleteRule**](doc//RuleApi.md#deleterule) | **DELETE** /rules/{rule} | Remove one Rule resource.
*RuleApi* | [**getRule**](doc//RuleApi.md#getrule) | **GET** /rules/{rule} | Retrieve one Rule resource.
*RuleApi* | [**patchRule**](doc//RuleApi.md#patchrule) | **PATCH** /rules/{rule} | Edit one Rule resource.
*RuleApi* | [**postRule**](doc//RuleApi.md#postrule) | **POST** /rules | Create one Rule resource.
*SectionApi* | [**getSection**](doc//SectionApi.md#getsection) | **GET** /sections/{section} | Retrieve one Section resource.
*SecurityApi* | [**postLogin**](doc//SecurityApi.md#postlogin) | **POST** /security/login | Create one Login resource.
*SecurityApi* | [**postPasswordChangeByToken**](doc//SecurityApi.md#postpasswordchangebytoken) | **POST** /security/password/change/{token} | Create one PasswordChange resource.
*SecurityApi* | [**postPasswordReset**](doc//SecurityApi.md#postpasswordreset) | **POST** /security/password/change-request | Create one PasswordReset resource.
*SecurityApi* | [**postRegister**](doc//SecurityApi.md#postregister) | **POST** /security/register | Create one Register resource.
*ServiceApi* | [**getService**](doc//ServiceApi.md#getservice) | **GET** /services/{service} | Retrieve one Service resource.
*SignerApi* | [**deleteSigner**](doc//SignerApi.md#deletesigner) | **DELETE** /signers/{signer} | Remove one Signer resource.
*SignerApi* | [**getSigner**](doc//SignerApi.md#getsigner) | **GET** /signers/{signer} | Retrieve one Signer resource.
*SignerApi* | [**postSignBySigner**](doc//SignerApi.md#postsignbysigner) | **POST** /signers/{signer}/sign | Create one Sign resource.
*SignerApi* | [**postSigner**](doc//SignerApi.md#postsigner) | **POST** /signers | Create one Signer resource.
*TemplateApi* | [**deleteTemplate**](doc//TemplateApi.md#deletetemplate) | **DELETE** /templates/{template} | Remove one Template resource.
*TemplateApi* | [**getTemplate**](doc//TemplateApi.md#gettemplate) | **GET** /templates/{template} | Retrieve one Template resource.
*TemplateApi* | [**patchTemplate**](doc//TemplateApi.md#patchtemplate) | **PATCH** /templates/{template} | Edit one Template resource.
*TemplateApi* | [**postTemplate**](doc//TemplateApi.md#posttemplate) | **POST** /templates | Create one Template resource.
*WebhookApi* | [**postIncoming**](doc//WebhookApi.md#postincoming) | **POST** /webhooks/incoming | Create one Incoming resource.
*WorkflowApi* | [**getWorkflow**](doc//WorkflowApi.md#getworkflow) | **GET** /workflows/{workflow} | Retrieve one Workflow resource.


## Documentation For Models

 - [Activity](doc//Activity.md)
 - [ActivityAggregatedPagination](doc//ActivityAggregatedPagination.md)
 - [ActivityEntity](doc//ActivityEntity.md)
 - [ActivityGroup](doc//ActivityGroup.md)
 - [ActivityPagination](doc//ActivityPagination.md)
 - [AgreementOlderThan](doc//AgreementOlderThan.md)
 - [AgreementPrivacyPolicy](doc//AgreementPrivacyPolicy.md)
 - [AgreementTermsOfService](doc//AgreementTermsOfService.md)
 - [Application](doc//Application.md)
 - [ApplicationAbout](doc//ApplicationAbout.md)
 - [ApplicationAgreement](doc//ApplicationAgreement.md)
 - [ApplicationConfiguration](doc//ApplicationConfiguration.md)
 - [ApplicationContactPoint](doc//ApplicationContactPoint.md)
 - [ApplicationLinks](doc//ApplicationLinks.md)
 - [ApplicationLinksKnowledgeBase](doc//ApplicationLinksKnowledgeBase.md)
 - [ApplicationLinksKnowledgeBaseIriTemplate](doc//ApplicationLinksKnowledgeBaseIriTemplate.md)
 - [ApplicationLinksKnowledgeBaseIriTemplateMapping](doc//ApplicationLinksKnowledgeBaseIriTemplateMapping.md)
 - [ApplicationLinksSelf](doc//ApplicationLinksSelf.md)
 - [ApplicationLinksSelfIriTemplate](doc//ApplicationLinksSelfIriTemplate.md)
 - [ApplicationLinksSelfIriTemplateMapping](doc//ApplicationLinksSelfIriTemplateMapping.md)
 - [Article](doc//Article.md)
 - [ArticleCollection](doc//ArticleCollection.md)
 - [ArticleLinks](doc//ArticleLinks.md)
 - [ArticleLinksSection](doc//ArticleLinksSection.md)
 - [ArticleLinksSectionIriTemplate](doc//ArticleLinksSectionIriTemplate.md)
 - [ArticleLinksSectionIriTemplateMapping](doc//ArticleLinksSectionIriTemplateMapping.md)
 - [ArticleLinksSelf](doc//ArticleLinksSelf.md)
 - [ArticleLinksSelfIriTemplate](doc//ArticleLinksSelfIriTemplate.md)
 - [ArticleLinksSelfIriTemplateMapping](doc//ArticleLinksSelfIriTemplateMapping.md)
 - [ArticlePagination](doc//ArticlePagination.md)
 - [ArticlePaginationAllOf](doc//ArticlePaginationAllOf.md)
 - [AssignData](doc//AssignData.md)
 - [Assignment](doc//Assignment.md)
 - [AssignmentCollection](doc//AssignmentCollection.md)
 - [AssignmentData](doc//AssignmentData.md)
 - [AssignmentEmbedded](doc//AssignmentEmbedded.md)
 - [AssignmentLinks](doc//AssignmentLinks.md)
 - [AssignmentLinksMember](doc//AssignmentLinksMember.md)
 - [AssignmentLinksMemberIriTemplate](doc//AssignmentLinksMemberIriTemplate.md)
 - [AssignmentLinksMemberIriTemplateMapping](doc//AssignmentLinksMemberIriTemplateMapping.md)
 - [AssignmentLinksReport](doc//AssignmentLinksReport.md)
 - [AssignmentLinksReportIriTemplate](doc//AssignmentLinksReportIriTemplate.md)
 - [AssignmentLinksReportIriTemplateMapping](doc//AssignmentLinksReportIriTemplateMapping.md)
 - [AssignmentLinksSelf](doc//AssignmentLinksSelf.md)
 - [AssignmentLinksSelfIriTemplate](doc//AssignmentLinksSelfIriTemplate.md)
 - [AssignmentLinksSelfIriTemplateMapping](doc//AssignmentLinksSelfIriTemplateMapping.md)
 - [AssignmentLinksService](doc//AssignmentLinksService.md)
 - [AssignmentLinksServiceIriTemplate](doc//AssignmentLinksServiceIriTemplate.md)
 - [AssignmentLinksServiceIriTemplateMapping](doc//AssignmentLinksServiceIriTemplateMapping.md)
 - [AssignmentPagination](doc//AssignmentPagination.md)
 - [AssignmentPaginationAllOf](doc//AssignmentPaginationAllOf.md)
 - [Binary](doc//Binary.md)
 - [BinaryCollection](doc//BinaryCollection.md)
 - [BinaryPagination](doc//BinaryPagination.md)
 - [BinaryPaginationAllOf](doc//BinaryPaginationAllOf.md)
 - [Bookmark](doc//Bookmark.md)
 - [BookmarkCollection](doc//BookmarkCollection.md)
 - [BookmarkData](doc//BookmarkData.md)
 - [BookmarkEmbedded](doc//BookmarkEmbedded.md)
 - [BookmarkLinks](doc//BookmarkLinks.md)
 - [BookmarkLinksMember](doc//BookmarkLinksMember.md)
 - [BookmarkLinksMemberIriTemplate](doc//BookmarkLinksMemberIriTemplate.md)
 - [BookmarkLinksPlace](doc//BookmarkLinksPlace.md)
 - [BookmarkLinksPlaceIriTemplate](doc//BookmarkLinksPlaceIriTemplate.md)
 - [BookmarkLinksPlaceIriTemplateMapping](doc//BookmarkLinksPlaceIriTemplateMapping.md)
 - [BookmarkLinksSelf](doc//BookmarkLinksSelf.md)
 - [BookmarkLinksSelfIriTemplate](doc//BookmarkLinksSelfIriTemplate.md)
 - [BookmarkLinksSelfIriTemplateMapping](doc//BookmarkLinksSelfIriTemplateMapping.md)
 - [BookmarkPagination](doc//BookmarkPagination.md)
 - [BookmarkPaginationAllOf](doc//BookmarkPaginationAllOf.md)
 - [BusinessActivity](doc//BusinessActivity.md)
 - [BusinessActivityCollection](doc//BusinessActivityCollection.md)
 - [BusinessActivityLinks](doc//BusinessActivityLinks.md)
 - [BusinessActivityLinksImage](doc//BusinessActivityLinksImage.md)
 - [BusinessActivityLinksImageIriTemplate](doc//BusinessActivityLinksImageIriTemplate.md)
 - [BusinessActivityLinksImageIriTemplateMapping](doc//BusinessActivityLinksImageIriTemplateMapping.md)
 - [BusinessActivityLinksSchema](doc//BusinessActivityLinksSchema.md)
 - [BusinessActivityLinksSchemaIriTemplate](doc//BusinessActivityLinksSchemaIriTemplate.md)
 - [BusinessActivityLinksSelf](doc//BusinessActivityLinksSelf.md)
 - [BusinessActivityLinksSelfIriTemplate](doc//BusinessActivityLinksSelfIriTemplate.md)
 - [BusinessActivityLinksThumbnail](doc//BusinessActivityLinksThumbnail.md)
 - [BusinessActivityLinksThumbnailIriTemplate](doc//BusinessActivityLinksThumbnailIriTemplate.md)
 - [BusinessActivityPagination](doc//BusinessActivityPagination.md)
 - [BusinessActivityPaginationAllOf](doc//BusinessActivityPaginationAllOf.md)
 - [BusinessActivitySchema](doc//BusinessActivitySchema.md)
 - [Category](doc//Category.md)
 - [CategoryCollection](doc//CategoryCollection.md)
 - [CategoryData](doc//CategoryData.md)
 - [CategoryEmbedded](doc//CategoryEmbedded.md)
 - [CategoryLinks](doc//CategoryLinks.md)
 - [CategoryLinksOrganization](doc//CategoryLinksOrganization.md)
 - [CategoryLinksOrganizationIriTemplate](doc//CategoryLinksOrganizationIriTemplate.md)
 - [CategoryLinksOrganizationIriTemplateMapping](doc//CategoryLinksOrganizationIriTemplateMapping.md)
 - [CategoryLinksSelf](doc//CategoryLinksSelf.md)
 - [CategoryLinksSelfIriTemplate](doc//CategoryLinksSelfIriTemplate.md)
 - [CategoryLinksSelfIriTemplateMapping](doc//CategoryLinksSelfIriTemplateMapping.md)
 - [CategoryPagination](doc//CategoryPagination.md)
 - [CategoryPaginationAllOf](doc//CategoryPaginationAllOf.md)
 - [CategoryPatch](doc//CategoryPatch.md)
 - [Chart](doc//Chart.md)
 - [Checkpoint](doc//Checkpoint.md)
 - [CheckpointEmbedded](doc//CheckpointEmbedded.md)
 - [CheckpointLinks](doc//CheckpointLinks.md)
 - [CheckpointLinksOrganization](doc//CheckpointLinksOrganization.md)
 - [CheckpointLinksOrganizationIriTemplate](doc//CheckpointLinksOrganizationIriTemplate.md)
 - [CheckpointState](doc//CheckpointState.md)
 - [CommentData](doc//CommentData.md)
 - [ConditionListCondition](doc//ConditionListCondition.md)
 - [Configuration](doc//Configuration.md)
 - [ConfigurationLinks](doc//ConfigurationLinks.md)
 - [ConfigurationLinksSelf](doc//ConfigurationLinksSelf.md)
 - [ConfigurationLinksSelfIriTemplate](doc//ConfigurationLinksSelfIriTemplate.md)
 - [ConfigurationLinksSelfIriTemplateMapping](doc//ConfigurationLinksSelfIriTemplateMapping.md)
 - [ConfigurationMemberType](doc//ConfigurationMemberType.md)
 - [ConfigurationOperationType](doc//ConfigurationOperationType.md)
 - [ConfigurationPlaceType](doc//ConfigurationPlaceType.md)
 - [ConfigurationReportType](doc//ConfigurationReportType.md)
 - [Contribution](doc//Contribution.md)
 - [ContributionCollection](doc//ContributionCollection.md)
 - [ContributionData](doc//ContributionData.md)
 - [ContributionLinks](doc//ContributionLinks.md)
 - [ContributionLinksContributor](doc//ContributionLinksContributor.md)
 - [ContributionLinksContributorIriTemplate](doc//ContributionLinksContributorIriTemplate.md)
 - [ContributionLinksContributorIriTemplateMapping](doc//ContributionLinksContributorIriTemplateMapping.md)
 - [ContributionLinksFeedback](doc//ContributionLinksFeedback.md)
 - [ContributionLinksFeedbackIriTemplate](doc//ContributionLinksFeedbackIriTemplate.md)
 - [ContributionLinksFeedbackIriTemplateMapping](doc//ContributionLinksFeedbackIriTemplateMapping.md)
 - [ContributionPagination](doc//ContributionPagination.md)
 - [ContributionPaginationAllOf](doc//ContributionPaginationAllOf.md)
 - [Device](doc//Device.md)
 - [DeviceData](doc//DeviceData.md)
 - [DeviceLinks](doc//DeviceLinks.md)
 - [DeviceLinksPerson](doc//DeviceLinksPerson.md)
 - [DeviceLinksPersonIriTemplate](doc//DeviceLinksPersonIriTemplate.md)
 - [DeviceLinksSelf](doc//DeviceLinksSelf.md)
 - [DeviceLinksSelfIriTemplate](doc//DeviceLinksSelfIriTemplate.md)
 - [DeviceLinksSelfIriTemplateMapping](doc//DeviceLinksSelfIriTemplateMapping.md)
 - [Dispatcher](doc//Dispatcher.md)
 - [Document](doc//Document.md)
 - [DocumentCollection](doc//DocumentCollection.md)
 - [DocumentData](doc//DocumentData.md)
 - [DocumentDataFile](doc//DocumentDataFile.md)
 - [DocumentDataPermission](doc//DocumentDataPermission.md)
 - [DocumentEmbedded](doc//DocumentEmbedded.md)
 - [DocumentFile](doc//DocumentFile.md)
 - [DocumentLinks](doc//DocumentLinks.md)
 - [DocumentLinksCreatedBy](doc//DocumentLinksCreatedBy.md)
 - [DocumentLinksCreatedByIriTemplate](doc//DocumentLinksCreatedByIriTemplate.md)
 - [DocumentLinksFile](doc//DocumentLinksFile.md)
 - [DocumentLinksFileIriTemplate](doc//DocumentLinksFileIriTemplate.md)
 - [DocumentLinksFileIriTemplateMapping](doc//DocumentLinksFileIriTemplateMapping.md)
 - [DocumentLinksProcedure](doc//DocumentLinksProcedure.md)
 - [DocumentLinksProcedureIriTemplate](doc//DocumentLinksProcedureIriTemplate.md)
 - [DocumentLinksProcedureIriTemplateMapping](doc//DocumentLinksProcedureIriTemplateMapping.md)
 - [DocumentLinksSelf](doc//DocumentLinksSelf.md)
 - [DocumentLinksSelfIriTemplate](doc//DocumentLinksSelfIriTemplate.md)
 - [DocumentPagination](doc//DocumentPagination.md)
 - [DocumentPaginationAllOf](doc//DocumentPaginationAllOf.md)
 - [DocumentPatch](doc//DocumentPatch.md)
 - [DocumentPatchFile](doc//DocumentPatchFile.md)
 - [DocumentPatchPermission](doc//DocumentPatchPermission.md)
 - [DocumentPermission](doc//DocumentPermission.md)
 - [DocumentType](doc//DocumentType.md)
 - [DocumentWorkflowData](doc//DocumentWorkflowData.md)
 - [Duration](doc//Duration.md)
 - [ExportData](doc//ExportData.md)
 - [ExternalService](doc//ExternalService.md)
 - [ExternalServiceCollection](doc//ExternalServiceCollection.md)
 - [ExternalServiceContactPoint](doc//ExternalServiceContactPoint.md)
 - [ExternalServiceData](doc//ExternalServiceData.md)
 - [ExternalServiceEmbedded](doc//ExternalServiceEmbedded.md)
 - [ExternalServiceLinks](doc//ExternalServiceLinks.md)
 - [ExternalServiceLinksProvider](doc//ExternalServiceLinksProvider.md)
 - [ExternalServiceLinksProviderIriTemplate](doc//ExternalServiceLinksProviderIriTemplate.md)
 - [ExternalServiceLinksSelf](doc//ExternalServiceLinksSelf.md)
 - [ExternalServiceLinksSelfIriTemplate](doc//ExternalServiceLinksSelfIriTemplate.md)
 - [ExternalServiceLinksSelfIriTemplateMapping](doc//ExternalServiceLinksSelfIriTemplateMapping.md)
 - [ExternalServicePagination](doc//ExternalServicePagination.md)
 - [ExternalServicePaginationAllOf](doc//ExternalServicePaginationAllOf.md)
 - [ExternalServicePatch](doc//ExternalServicePatch.md)
 - [ExternalServicePatchAddress](doc//ExternalServicePatchAddress.md)
 - [ExternalServicePatchContactPoint](doc//ExternalServicePatchContactPoint.md)
 - [ExternalServicePostalAddress](doc//ExternalServicePostalAddress.md)
 - [Feature](doc//Feature.md)
 - [FeatureGeometry](doc//FeatureGeometry.md)
 - [Feed](doc//Feed.md)
 - [Feedback](doc//Feedback.md)
 - [FeedbackCollection](doc//FeedbackCollection.md)
 - [FeedbackData](doc//FeedbackData.md)
 - [FeedbackDataGeo](doc//FeedbackDataGeo.md)
 - [FeedbackDataGeoPoint](doc//FeedbackDataGeoPoint.md)
 - [FeedbackEmbedded](doc//FeedbackEmbedded.md)
 - [FeedbackGeoCoordinates](doc//FeedbackGeoCoordinates.md)
 - [FeedbackLinks](doc//FeedbackLinks.md)
 - [FeedbackLinksBusinessActivity](doc//FeedbackLinksBusinessActivity.md)
 - [FeedbackLinksBusinessActivityIriTemplate](doc//FeedbackLinksBusinessActivityIriTemplate.md)
 - [FeedbackLinksCategory](doc//FeedbackLinksCategory.md)
 - [FeedbackLinksCategoryIriTemplate](doc//FeedbackLinksCategoryIriTemplate.md)
 - [FeedbackLinksImage](doc//FeedbackLinksImage.md)
 - [FeedbackLinksImageIriTemplate](doc//FeedbackLinksImageIriTemplate.md)
 - [FeedbackLinksImageIriTemplateMapping](doc//FeedbackLinksImageIriTemplateMapping.md)
 - [FeedbackLinksImages](doc//FeedbackLinksImages.md)
 - [FeedbackLinksImagesIriTemplate](doc//FeedbackLinksImagesIriTemplate.md)
 - [FeedbackLinksPlans](doc//FeedbackLinksPlans.md)
 - [FeedbackLinksPlansIriTemplate](doc//FeedbackLinksPlansIriTemplate.md)
 - [FeedbackLinksPlansIriTemplateMapping](doc//FeedbackLinksPlansIriTemplateMapping.md)
 - [FeedbackLinksReport](doc//FeedbackLinksReport.md)
 - [FeedbackLinksReportIriTemplate](doc//FeedbackLinksReportIriTemplate.md)
 - [FeedbackLinksReporter](doc//FeedbackLinksReporter.md)
 - [FeedbackLinksReporterIriTemplate](doc//FeedbackLinksReporterIriTemplate.md)
 - [FeedbackLinksSelf](doc//FeedbackLinksSelf.md)
 - [FeedbackLinksSelfIriTemplate](doc//FeedbackLinksSelfIriTemplate.md)
 - [FeedbackLinksTracking](doc//FeedbackLinksTracking.md)
 - [FeedbackLinksTrackingIriTemplate](doc//FeedbackLinksTrackingIriTemplate.md)
 - [FeedbackPagination](doc//FeedbackPagination.md)
 - [FeedbackPaginationAllOf](doc//FeedbackPaginationAllOf.md)
 - [FeedbackWorkflowTransitionData](doc//FeedbackWorkflowTransitionData.md)
 - [FileData](doc//FileData.md)
 - [GeoShape](doc//GeoShape.md)
 - [GeoShapeCentroid](doc//GeoShapeCentroid.md)
 - [ImageData](doc//ImageData.md)
 - [InternalService](doc//InternalService.md)
 - [InternalServiceCollection](doc//InternalServiceCollection.md)
 - [InternalServiceContactPoint](doc//InternalServiceContactPoint.md)
 - [InternalServiceData](doc//InternalServiceData.md)
 - [InternalServiceDataAddress](doc//InternalServiceDataAddress.md)
 - [InternalServiceDataContactPoint](doc//InternalServiceDataContactPoint.md)
 - [InternalServiceEmbedded](doc//InternalServiceEmbedded.md)
 - [InternalServiceLinks](doc//InternalServiceLinks.md)
 - [InternalServiceLinksOrganization](doc//InternalServiceLinksOrganization.md)
 - [InternalServiceLinksOrganizationIriTemplate](doc//InternalServiceLinksOrganizationIriTemplate.md)
 - [InternalServiceLinksSelf](doc//InternalServiceLinksSelf.md)
 - [InternalServiceLinksSelfIriTemplate](doc//InternalServiceLinksSelfIriTemplate.md)
 - [InternalServiceLinksSelfIriTemplateMapping](doc//InternalServiceLinksSelfIriTemplateMapping.md)
 - [InternalServicePagination](doc//InternalServicePagination.md)
 - [InternalServicePaginationAllOf](doc//InternalServicePaginationAllOf.md)
 - [InternalServicePatch](doc//InternalServicePatch.md)
 - [InternalServicePostalAddress](doc//InternalServicePostalAddress.md)
 - [Invitation](doc//Invitation.md)
 - [InvitationData](doc//InvitationData.md)
 - [InvitationEmbedded](doc//InvitationEmbedded.md)
 - [InvitationLinks](doc//InvitationLinks.md)
 - [InvitationLinksMember](doc//InvitationLinksMember.md)
 - [InvitationLinksMemberIriTemplate](doc//InvitationLinksMemberIriTemplate.md)
 - [InvitationLinksSelf](doc//InvitationLinksSelf.md)
 - [InvitationLinksSelfIriTemplate](doc//InvitationLinksSelfIriTemplate.md)
 - [InvitationLinksSelfIriTemplateMapping](doc//InvitationLinksSelfIriTemplateMapping.md)
 - [ItemsChoice](doc//ItemsChoice.md)
 - [KnowledgeBase](doc//KnowledgeBase.md)
 - [KnowledgeBaseLinks](doc//KnowledgeBaseLinks.md)
 - [KnowledgeBaseLinksSelf](doc//KnowledgeBaseLinksSelf.md)
 - [KnowledgeBaseLinksSelfIriTemplate](doc//KnowledgeBaseLinksSelfIriTemplate.md)
 - [LegacySignatureData](doc//LegacySignatureData.md)
 - [LegacySignatureDataSigner](doc//LegacySignatureDataSigner.md)
 - [LoginData](doc//LoginData.md)
 - [Marker](doc//Marker.md)
 - [MarkerData](doc//MarkerData.md)
 - [MarkerDataPoint](doc//MarkerDataPoint.md)
 - [MarkerLinks](doc//MarkerLinks.md)
 - [MarkerLinksPlan](doc//MarkerLinksPlan.md)
 - [MarkerLinksPlanIriTemplate](doc//MarkerLinksPlanIriTemplate.md)
 - [MarkerLinksPlanIriTemplateMapping](doc//MarkerLinksPlanIriTemplateMapping.md)
 - [MarkerLinksSelf](doc//MarkerLinksSelf.md)
 - [MarkerLinksSelfIriTemplate](doc//MarkerLinksSelfIriTemplate.md)
 - [MarkerLinksSelfIriTemplateMapping](doc//MarkerLinksSelfIriTemplateMapping.md)
 - [Member](doc//Member.md)
 - [MemberCollection](doc//MemberCollection.md)
 - [MemberContactPoint](doc//MemberContactPoint.md)
 - [MemberData](doc//MemberData.md)
 - [MemberEmbedded](doc//MemberEmbedded.md)
 - [MemberLinks](doc//MemberLinks.md)
 - [MemberLinksOrganization](doc//MemberLinksOrganization.md)
 - [MemberLinksOrganizationIriTemplate](doc//MemberLinksOrganizationIriTemplate.md)
 - [MemberLinksPerson](doc//MemberLinksPerson.md)
 - [MemberLinksPersonIriTemplate](doc//MemberLinksPersonIriTemplate.md)
 - [MemberLinksSelf](doc//MemberLinksSelf.md)
 - [MemberLinksSelfIriTemplate](doc//MemberLinksSelfIriTemplate.md)
 - [MemberPagination](doc//MemberPagination.md)
 - [MemberPaginationAllOf](doc//MemberPaginationAllOf.md)
 - [MemberPatch](doc//MemberPatch.md)
 - [MemberPatchContactPoint](doc//MemberPatchContactPoint.md)
 - [MemberTypeRole](doc//MemberTypeRole.md)
 - [MessageData](doc//MessageData.md)
 - [Metric](doc//Metric.md)
 - [ModelExport](doc//ModelExport.md)
 - [NodePath](doc//NodePath.md)
 - [Note](doc//Note.md)
 - [NoteCollection](doc//NoteCollection.md)
 - [NoteLinks](doc//NoteLinks.md)
 - [NoteLinksAbout](doc//NoteLinksAbout.md)
 - [NoteLinksAboutIriTemplate](doc//NoteLinksAboutIriTemplate.md)
 - [NoteLinksAuthor](doc//NoteLinksAuthor.md)
 - [NoteLinksAuthorIriTemplate](doc//NoteLinksAuthorIriTemplate.md)
 - [NoteLinksSelf](doc//NoteLinksSelf.md)
 - [NoteLinksSelfIriTemplate](doc//NoteLinksSelfIriTemplate.md)
 - [NoteLinksSelfIriTemplateMapping](doc//NoteLinksSelfIriTemplateMapping.md)
 - [NotePagination](doc//NotePagination.md)
 - [NotePaginationAllOf](doc//NotePaginationAllOf.md)
 - [NotePatch](doc//NotePatch.md)
 - [Occupant](doc//Occupant.md)
 - [OccupantCollection](doc//OccupantCollection.md)
 - [OccupantData](doc//OccupantData.md)
 - [OccupantLinks](doc//OccupantLinks.md)
 - [OccupantLinksMember](doc//OccupantLinksMember.md)
 - [OccupantLinksMemberIriTemplate](doc//OccupantLinksMemberIriTemplate.md)
 - [OccupantLinksPlace](doc//OccupantLinksPlace.md)
 - [OccupantLinksPlaceIriTemplate](doc//OccupantLinksPlaceIriTemplate.md)
 - [OccupantLinksSelf](doc//OccupantLinksSelf.md)
 - [OccupantLinksSelfIriTemplate](doc//OccupantLinksSelfIriTemplate.md)
 - [OccupantLinksSelfIriTemplateMapping](doc//OccupantLinksSelfIriTemplateMapping.md)
 - [OccupantPagination](doc//OccupantPagination.md)
 - [OccupantPaginationAllOf](doc//OccupantPaginationAllOf.md)
 - [Operation](doc//Operation.md)
 - [OperationCollection](doc//OperationCollection.md)
 - [OperationData](doc//OperationData.md)
 - [OperationEmbedded](doc//OperationEmbedded.md)
 - [OperationEmbeddedWorkflow](doc//OperationEmbeddedWorkflow.md)
 - [OperationLinks](doc//OperationLinks.md)
 - [OperationLinksAssignments](doc//OperationLinksAssignments.md)
 - [OperationLinksAssignmentsIriTemplate](doc//OperationLinksAssignmentsIriTemplate.md)
 - [OperationLinksAssignmentsIriTemplateMapping](doc//OperationLinksAssignmentsIriTemplateMapping.md)
 - [OperationLinksFeedback](doc//OperationLinksFeedback.md)
 - [OperationLinksFeedbackIriTemplate](doc//OperationLinksFeedbackIriTemplate.md)
 - [OperationLinksImage](doc//OperationLinksImage.md)
 - [OperationLinksImageIriTemplate](doc//OperationLinksImageIriTemplate.md)
 - [OperationLinksImageIriTemplateMapping](doc//OperationLinksImageIriTemplateMapping.md)
 - [OperationLinksImages](doc//OperationLinksImages.md)
 - [OperationLinksImagesIriTemplate](doc//OperationLinksImagesIriTemplate.md)
 - [OperationLinksImagesIriTemplateMapping](doc//OperationLinksImagesIriTemplateMapping.md)
 - [OperationLinksOperator](doc//OperationLinksOperator.md)
 - [OperationLinksOperatorIriTemplate](doc//OperationLinksOperatorIriTemplate.md)
 - [OperationLinksOrganization](doc//OperationLinksOrganization.md)
 - [OperationLinksOrganizationIriTemplate](doc//OperationLinksOrganizationIriTemplate.md)
 - [OperationLinksReport](doc//OperationLinksReport.md)
 - [OperationLinksReportIriTemplate](doc//OperationLinksReportIriTemplate.md)
 - [OperationLinksSelf](doc//OperationLinksSelf.md)
 - [OperationLinksSelfIriTemplate](doc//OperationLinksSelfIriTemplate.md)
 - [OperationLinksTracking](doc//OperationLinksTracking.md)
 - [OperationLinksTrackingIriTemplate](doc//OperationLinksTrackingIriTemplate.md)
 - [OperationPagination](doc//OperationPagination.md)
 - [OperationPaginationAllOf](doc//OperationPaginationAllOf.md)
 - [OperationPriority](doc//OperationPriority.md)
 - [OperationSignature](doc//OperationSignature.md)
 - [OperationTypeWorkflow](doc//OperationTypeWorkflow.md)
 - [Organization](doc//Organization.md)
 - [OrganizationCollection](doc//OrganizationCollection.md)
 - [OrganizationLinks](doc//OrganizationLinks.md)
 - [OrganizationLinksApplication](doc//OrganizationLinksApplication.md)
 - [OrganizationLinksApplicationIriTemplate](doc//OrganizationLinksApplicationIriTemplate.md)
 - [OrganizationLinksBusinessActivity](doc//OrganizationLinksBusinessActivity.md)
 - [OrganizationLinksBusinessActivityIriTemplate](doc//OrganizationLinksBusinessActivityIriTemplate.md)
 - [OrganizationLinksConfiguration](doc//OrganizationLinksConfiguration.md)
 - [OrganizationLinksConfigurationIriTemplate](doc//OrganizationLinksConfigurationIriTemplate.md)
 - [OrganizationLinksDispatcher](doc//OrganizationLinksDispatcher.md)
 - [OrganizationLinksDispatcherIriTemplate](doc//OrganizationLinksDispatcherIriTemplate.md)
 - [OrganizationLinksDispatcherIriTemplateMapping](doc//OrganizationLinksDispatcherIriTemplateMapping.md)
 - [OrganizationLinksLogo](doc//OrganizationLinksLogo.md)
 - [OrganizationLinksLogoIriTemplate](doc//OrganizationLinksLogoIriTemplate.md)
 - [OrganizationLinksSelf](doc//OrganizationLinksSelf.md)
 - [OrganizationLinksSelfIriTemplate](doc//OrganizationLinksSelfIriTemplate.md)
 - [OrganizationPagination](doc//OrganizationPagination.md)
 - [OrganizationPaginationAllOf](doc//OrganizationPaginationAllOf.md)
 - [OrganizationPatch](doc//OrganizationPatch.md)
 - [OrganizationPatchPreferences](doc//OrganizationPatchPreferences.md)
 - [OrganizationPatchPreferencesReference](doc//OrganizationPatchPreferencesReference.md)
 - [OrganizationPostalAddress](doc//OrganizationPostalAddress.md)
 - [OrganizationPreferences](doc//OrganizationPreferences.md)
 - [Pagination](doc//Pagination.md)
 - [PaginationLink](doc//PaginationLink.md)
 - [PaginationLinks](doc//PaginationLinks.md)
 - [PasswordChangeData](doc//PasswordChangeData.md)
 - [Permission](doc//Permission.md)
 - [Person](doc//Person.md)
 - [PersonAgreement](doc//PersonAgreement.md)
 - [PersonLinks](doc//PersonLinks.md)
 - [PersonLinksImage](doc//PersonLinksImage.md)
 - [PersonLinksImageIriTemplate](doc//PersonLinksImageIriTemplate.md)
 - [PersonLinksSelf](doc//PersonLinksSelf.md)
 - [PersonLinksSelfIriTemplate](doc//PersonLinksSelfIriTemplate.md)
 - [PersonPatch](doc//PersonPatch.md)
 - [PersonPatchAgreement](doc//PersonPatchAgreement.md)
 - [PersonPatchPreferences](doc//PersonPatchPreferences.md)
 - [PersonPatchPreferencesNotification](doc//PersonPatchPreferencesNotification.md)
 - [PersonPreferences](doc//PersonPreferences.md)
 - [Place](doc//Place.md)
 - [PlaceCollection](doc//PlaceCollection.md)
 - [PlaceData](doc//PlaceData.md)
 - [PlaceEmbedded](doc//PlaceEmbedded.md)
 - [PlaceLinks](doc//PlaceLinks.md)
 - [PlaceLinksChildren](doc//PlaceLinksChildren.md)
 - [PlaceLinksChildrenIriTemplate](doc//PlaceLinksChildrenIriTemplate.md)
 - [PlaceLinksChildrenIriTemplateMapping](doc//PlaceLinksChildrenIriTemplateMapping.md)
 - [PlaceLinksGeo](doc//PlaceLinksGeo.md)
 - [PlaceLinksGeoIriTemplate](doc//PlaceLinksGeoIriTemplate.md)
 - [PlaceLinksOrganization](doc//PlaceLinksOrganization.md)
 - [PlaceLinksOrganizationIriTemplate](doc//PlaceLinksOrganizationIriTemplate.md)
 - [PlaceLinksPlans](doc//PlaceLinksPlans.md)
 - [PlaceLinksPlansIriTemplate](doc//PlaceLinksPlansIriTemplate.md)
 - [PlaceLinksSelf](doc//PlaceLinksSelf.md)
 - [PlaceLinksSelfIriTemplate](doc//PlaceLinksSelfIriTemplate.md)
 - [PlacePagination](doc//PlacePagination.md)
 - [PlacePaginationAllOf](doc//PlacePaginationAllOf.md)
 - [PlacePatch](doc//PlacePatch.md)
 - [PlacePostalAddress](doc//PlacePostalAddress.md)
 - [PlacePreferences](doc//PlacePreferences.md)
 - [PlaceTypeWorkflow](doc//PlaceTypeWorkflow.md)
 - [Plan](doc//Plan.md)
 - [PlanCollection](doc//PlanCollection.md)
 - [PlanData](doc//PlanData.md)
 - [PlanLinks](doc//PlanLinks.md)
 - [PlanLinksImage](doc//PlanLinksImage.md)
 - [PlanLinksImageIriTemplate](doc//PlanLinksImageIriTemplate.md)
 - [PlanLinksPlace](doc//PlanLinksPlace.md)
 - [PlanLinksPlaceIriTemplate](doc//PlanLinksPlaceIriTemplate.md)
 - [PlanLinksSelf](doc//PlanLinksSelf.md)
 - [PlanLinksSelfIriTemplate](doc//PlanLinksSelfIriTemplate.md)
 - [PlanPagination](doc//PlanPagination.md)
 - [PlanPaginationAllOf](doc//PlanPaginationAllOf.md)
 - [PlanPatch](doc//PlanPatch.md)
 - [Point](doc//Point.md)
 - [Polygon](doc//Polygon.md)
 - [PreferencesElectronicSignature](doc//PreferencesElectronicSignature.md)
 - [PreferencesForm](doc//PreferencesForm.md)
 - [PreferencesNotification](doc//PreferencesNotification.md)
 - [PreferencesReference](doc//PreferencesReference.md)
 - [Problem](doc//Problem.md)
 - [ProblemEmbedded](doc//ProblemEmbedded.md)
 - [Procedure](doc//Procedure.md)
 - [ProcedureData](doc//ProcedureData.md)
 - [ProcedureEmbedded](doc//ProcedureEmbedded.md)
 - [ProcedureLinks](doc//ProcedureLinks.md)
 - [ProcedureLinksDocument](doc//ProcedureLinksDocument.md)
 - [ProcedureLinksDocumentIriTemplate](doc//ProcedureLinksDocumentIriTemplate.md)
 - [ProcedureLinksSelf](doc//ProcedureLinksSelf.md)
 - [ProcedureLinksSelfIriTemplate](doc//ProcedureLinksSelfIriTemplate.md)
 - [ProcedureWorkflowData](doc//ProcedureWorkflowData.md)
 - [PropertyConditionList](doc//PropertyConditionList.md)
 - [PropertyItems](doc//PropertyItems.md)
 - [Publication](doc//Publication.md)
 - [PublicationCollection](doc//PublicationCollection.md)
 - [PublicationData](doc//PublicationData.md)
 - [PublicationEmbedded](doc//PublicationEmbedded.md)
 - [PublicationLinks](doc//PublicationLinks.md)
 - [PublicationLinksAuthor](doc//PublicationLinksAuthor.md)
 - [PublicationLinksAuthorIriTemplate](doc//PublicationLinksAuthorIriTemplate.md)
 - [PublicationLinksFeed](doc//PublicationLinksFeed.md)
 - [PublicationLinksFeedIriTemplate](doc//PublicationLinksFeedIriTemplate.md)
 - [PublicationLinksOrganization](doc//PublicationLinksOrganization.md)
 - [PublicationLinksOrganizationIriTemplate](doc//PublicationLinksOrganizationIriTemplate.md)
 - [PublicationLinksSelf](doc//PublicationLinksSelf.md)
 - [PublicationLinksSelfIriTemplate](doc//PublicationLinksSelfIriTemplate.md)
 - [PublicationLinksSelfIriTemplateMapping](doc//PublicationLinksSelfIriTemplateMapping.md)
 - [PublicationPagination](doc//PublicationPagination.md)
 - [PublicationPaginationAllOf](doc//PublicationPaginationAllOf.md)
 - [RegisterData](doc//RegisterData.md)
 - [RegisterDataAgreement](doc//RegisterDataAgreement.md)
 - [Report](doc//Report.md)
 - [ReportCollection](doc//ReportCollection.md)
 - [ReportEmbedded](doc//ReportEmbedded.md)
 - [ReportLinks](doc//ReportLinks.md)
 - [ReportLinksCategory](doc//ReportLinksCategory.md)
 - [ReportLinksCategoryIriTemplate](doc//ReportLinksCategoryIriTemplate.md)
 - [ReportLinksChildren](doc//ReportLinksChildren.md)
 - [ReportLinksChildrenIriTemplate](doc//ReportLinksChildrenIriTemplate.md)
 - [ReportLinksChildrenIriTemplateMapping](doc//ReportLinksChildrenIriTemplateMapping.md)
 - [ReportLinksFeedback](doc//ReportLinksFeedback.md)
 - [ReportLinksFeedbackIriTemplate](doc//ReportLinksFeedbackIriTemplate.md)
 - [ReportLinksOperations](doc//ReportLinksOperations.md)
 - [ReportLinksOperationsIriTemplate](doc//ReportLinksOperationsIriTemplate.md)
 - [ReportLinksOrganization](doc//ReportLinksOrganization.md)
 - [ReportLinksOrganizationIriTemplate](doc//ReportLinksOrganizationIriTemplate.md)
 - [ReportLinksPlace](doc//ReportLinksPlace.md)
 - [ReportLinksPlaceIriTemplate](doc//ReportLinksPlaceIriTemplate.md)
 - [ReportLinksSelf](doc//ReportLinksSelf.md)
 - [ReportLinksSelfIriTemplate](doc//ReportLinksSelfIriTemplate.md)
 - [ReportLinksTracking](doc//ReportLinksTracking.md)
 - [ReportLinksTrackingIriTemplate](doc//ReportLinksTrackingIriTemplate.md)
 - [ReportPagination](doc//ReportPagination.md)
 - [ReportPaginationAllOf](doc//ReportPaginationAllOf.md)
 - [ReportPriority](doc//ReportPriority.md)
 - [ReportTypePriority](doc//ReportTypePriority.md)
 - [ReportTypeWorkflow](doc//ReportTypeWorkflow.md)
 - [ResetPasswordData](doc//ResetPasswordData.md)
 - [Review](doc//Review.md)
 - [ReviewCollection](doc//ReviewCollection.md)
 - [ReviewData](doc//ReviewData.md)
 - [ReviewLinks](doc//ReviewLinks.md)
 - [ReviewLinksAuthor](doc//ReviewLinksAuthor.md)
 - [ReviewLinksAuthorIriTemplate](doc//ReviewLinksAuthorIriTemplate.md)
 - [ReviewLinksItemReviewed](doc//ReviewLinksItemReviewed.md)
 - [ReviewLinksItemReviewedIriTemplate](doc//ReviewLinksItemReviewedIriTemplate.md)
 - [ReviewLinksSelf](doc//ReviewLinksSelf.md)
 - [ReviewLinksSelfIriTemplate](doc//ReviewLinksSelfIriTemplate.md)
 - [ReviewLinksSelfIriTemplateMapping](doc//ReviewLinksSelfIriTemplateMapping.md)
 - [ReviewPagination](doc//ReviewPagination.md)
 - [ReviewPaginationAllOf](doc//ReviewPaginationAllOf.md)
 - [ReviewRequest](doc//ReviewRequest.md)
 - [ReviewRequestCollection](doc//ReviewRequestCollection.md)
 - [ReviewRequestEmbedded](doc//ReviewRequestEmbedded.md)
 - [ReviewRequestLinks](doc//ReviewRequestLinks.md)
 - [ReviewRequestLinksItemToReview](doc//ReviewRequestLinksItemToReview.md)
 - [ReviewRequestLinksItemToReviewIriTemplate](doc//ReviewRequestLinksItemToReviewIriTemplate.md)
 - [ReviewRequestLinksItemToReviewIriTemplateMapping](doc//ReviewRequestLinksItemToReviewIriTemplateMapping.md)
 - [ReviewRequestLinksOrganization](doc//ReviewRequestLinksOrganization.md)
 - [ReviewRequestLinksOrganizationIriTemplate](doc//ReviewRequestLinksOrganizationIriTemplate.md)
 - [ReviewRequestLinksReview](doc//ReviewRequestLinksReview.md)
 - [ReviewRequestLinksReviewIriTemplate](doc//ReviewRequestLinksReviewIriTemplate.md)
 - [ReviewRequestLinksReviewer](doc//ReviewRequestLinksReviewer.md)
 - [ReviewRequestLinksReviewerIriTemplate](doc//ReviewRequestLinksReviewerIriTemplate.md)
 - [ReviewRequestLinksSelf](doc//ReviewRequestLinksSelf.md)
 - [ReviewRequestLinksSelfIriTemplate](doc//ReviewRequestLinksSelfIriTemplate.md)
 - [ReviewRequestLinksSelfIriTemplateMapping](doc//ReviewRequestLinksSelfIriTemplateMapping.md)
 - [ReviewRequestPagination](doc//ReviewRequestPagination.md)
 - [ReviewRequestPaginationAllOf](doc//ReviewRequestPaginationAllOf.md)
 - [Role](doc//Role.md)
 - [Rule](doc//Rule.md)
 - [RuleCollection](doc//RuleCollection.md)
 - [RuleData](doc//RuleData.md)
 - [RuleLinks](doc//RuleLinks.md)
 - [RuleLinksCategory](doc//RuleLinksCategory.md)
 - [RuleLinksCategoryIriTemplate](doc//RuleLinksCategoryIriTemplate.md)
 - [RuleLinksPlace](doc//RuleLinksPlace.md)
 - [RuleLinksPlaceIriTemplate](doc//RuleLinksPlaceIriTemplate.md)
 - [RuleLinksSelf](doc//RuleLinksSelf.md)
 - [RuleLinksSelfIriTemplate](doc//RuleLinksSelfIriTemplate.md)
 - [RuleLinksSelfIriTemplateMapping](doc//RuleLinksSelfIriTemplateMapping.md)
 - [RuleLinksService](doc//RuleLinksService.md)
 - [RuleLinksServiceIriTemplate](doc//RuleLinksServiceIriTemplate.md)
 - [RulePagination](doc//RulePagination.md)
 - [RulePaginationAllOf](doc//RulePaginationAllOf.md)
 - [RulePatch](doc//RulePatch.md)
 - [Run](doc//Run.md)
 - [RunData](doc//RunData.md)
 - [Schema](doc//Schema.md)
 - [SchemaProperty](doc//SchemaProperty.md)
 - [Section](doc//Section.md)
 - [SectionCollection](doc//SectionCollection.md)
 - [SectionLinks](doc//SectionLinks.md)
 - [SectionLinksSelf](doc//SectionLinksSelf.md)
 - [SectionLinksSelfIriTemplate](doc//SectionLinksSelfIriTemplate.md)
 - [SectionPagination](doc//SectionPagination.md)
 - [SectionPaginationAllOf](doc//SectionPaginationAllOf.md)
 - [Service](doc//Service.md)
 - [ServiceCollection](doc//ServiceCollection.md)
 - [ServiceContactPoint](doc//ServiceContactPoint.md)
 - [ServiceMemberData](doc//ServiceMemberData.md)
 - [ServicePagination](doc//ServicePagination.md)
 - [ServicePaginationAllOf](doc//ServicePaginationAllOf.md)
 - [ServicePostalAddress](doc//ServicePostalAddress.md)
 - [SignatureData](doc//SignatureData.md)
 - [SignatureSigner](doc//SignatureSigner.md)
 - [Signer](doc//Signer.md)
 - [SignerCollection](doc//SignerCollection.md)
 - [SignerData](doc//SignerData.md)
 - [SignerLinks](doc//SignerLinks.md)
 - [SignerLinksProcedure](doc//SignerLinksProcedure.md)
 - [SignerLinksProcedureIriTemplate](doc//SignerLinksProcedureIriTemplate.md)
 - [SignerLinksSelf](doc//SignerLinksSelf.md)
 - [SignerLinksSelfIriTemplate](doc//SignerLinksSelfIriTemplate.md)
 - [SignerLinksSelfIriTemplateMapping](doc//SignerLinksSelfIriTemplateMapping.md)
 - [SignerPagination](doc//SignerPagination.md)
 - [SignerPaginationAllOf](doc//SignerPaginationAllOf.md)
 - [SignerSignature](doc//SignerSignature.md)
 - [State](doc//State.md)
 - [SuccessLogin](doc//SuccessLogin.md)
 - [SuccessLoginCredentials](doc//SuccessLoginCredentials.md)
 - [TargetGroup](doc//TargetGroup.md)
 - [TaskPatch](doc//TaskPatch.md)
 - [Template](doc//Template.md)
 - [TemplateCollection](doc//TemplateCollection.md)
 - [TemplateData](doc//TemplateData.md)
 - [TemplatePagination](doc//TemplatePagination.md)
 - [TemplatePaginationAllOf](doc//TemplatePaginationAllOf.md)
 - [TemplatePatch](doc//TemplatePatch.md)
 - [Tracking](doc//Tracking.md)
 - [TrackingCheckpoint](doc//TrackingCheckpoint.md)
 - [TrackingProgression](doc//TrackingProgression.md)
 - [TransitionState](doc//TransitionState.md)
 - [Workflow](doc//Workflow.md)
 - [WorkflowData](doc//WorkflowData.md)
 - [WorkflowLinks](doc//WorkflowLinks.md)
 - [WorkflowLinksSelf](doc//WorkflowLinksSelf.md)
 - [WorkflowLinksSelfIriTemplate](doc//WorkflowLinksSelfIriTemplate.md)
 - [WorkflowLinksSelfIriTemplateMapping](doc//WorkflowLinksSelfIriTemplateMapping.md)
 - [WorkflowState](doc//WorkflowState.md)
 - [WorkflowTransition](doc//WorkflowTransition.md)


## Documentation For Authorization


## bearer

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author

techies@keyclic.com


